Salary.com
Home API MCP
Home
API
Welcome to the Salary.com API
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Get a Company Job GET Get Company Job List GET Create a Company Job POST Update a Company Job PUT
Get Composite List GET Get Composite by Job Code GET

JobArchitect

Get Job Description List GET Get a Job Description Details GET
Get Skills GET

Reference

Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log
MCP
Welcome to Salary.com MCP Authentication

CompAnalyst Market Data Tools

Overview
getMarketRate getBenchmarkJobDetails findBenchmarkMatches compareToMarket Shared Fields & Filters

SalaryIQ Labor Market Tools

Overview
getPostingTrends getTrendingSkills getHiringCompanies summarizeLaborMarket Shared Fields & Filters

Reference

Resources
×
Back
Welcome to the Salary.com API Authentication
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI Market Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Posting Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Employees
Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Company Jobs
Get a Company Job GET Get Company Job List GET Create a Company JobPOST Update a Company Job PUT
Composites
Get Composite ListGET Get Composite by Job CodeGET

JobArchitect

Jobs
Get Job Description List GET Get a Job Description Details GET
Skills
Get Skills GET

Reference

Field Definitions
Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log

Get Composite by Job Code

GET /cloud/Data/V1/ Composite/{CompanyJobCode}

Takes a Company Job Code and return all Composites associated with the Company Job. Return any UDFs on the Composite as well.

URL

https://companalystapi.salary.com/cloud/Data/V1/Composite/{CompanyJobCode}

Method

GET

Request Headers

Authorization: Bearer {AccessToken}

Request Parameters

IsReturnDraft : the default value when this parameter is not passed is 0. This means only official composites are returned. Set IsReturnDraft=1 to return both draft and official composties.

IsReturnAllStatuses : the default value when this parameter is not passed is 0. This means only approved composites are returned. Set IsReturnAllStatuses=1 to return all composites in all statuses (e.g., In Progress, Completed, Approved).

ReturnUpdateDateBefore  and ReturnUpdateDateAfter: only include records updated within the defined range. Accepts ISO date and time format (YYYY-MM-DDThh:mm:ss). Paramaters and be used together or independently.

IsReturnEmployeesOnly: by default return all composites. Set to 1 to only return composites with employees attached to them. See “IncumNo” in response.

Glossary

Refer to Composites

Example Request

  curl --request GET \
  --url https://companalystapi.salary.com/cloud/Data/V1/CompositeList?IsReturnAll=0&PageIndex=1&PageSize=2
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Model

[
   {
    "CompanyJobCode": "ACCTA2", 
    "CompanyJobTitle": "Accounting Clerk II", 
    "TierCode": "Austin", 
    "TierDesc": "Austin", 
    "CompositeEffectiveDate": "2024-01-01T00:00:00", 
    "CompositeAgingFct": 0.03000, 
    "CompositeAgingRules": "Age survey data to 01/01/2024 using aging factor 3.00% (Tier Level Override)", 
    "CompositeStatusCode": 2, 
    "CompositeStatusDesc": "Approved", 
    "CompositeTemplateName": "Standard", 
    "DifferentialNames": null, 
    "IsSalaried": false, 
    "IsBenchmarkJob": false, 
    "PremiumDiscount": 0.00000, 
    "LastUpdateDate": "2023-03-23T05:09:21.92", 
    "UName": "UName", 
    "IsDraft": 0, 
    "CreateBy": "New Admin", 
    "CreateDate": "2021-10-12T07:07:33.567", 
    "CurrencyCode": "USD", 
    "CompositeMRP": 29.2778, 
    "CompositeMRPLabel": "Base 50th", 
    "IncumbentAveragePay": 16.8400, 
    "IncumbentAverageTCC": 19.8712, 
    "IncumbentAverageTDC": 19.8712, 
    "Salary10": 23.8681, 
    "Salary25": 26.4461, 
    "Salary50": 29.2777, 
    "Salary75": 32.8565, 
    "Salary90": 36.1148, 
    "SalaryAvg": 29.6435, 
    "Comp10": 24.1571, 
    "Comp25": 26.8283, 
    "Comp50": 29.7621, 
    "Comp75": 33.5046, 
    "Comp90": 36.9120, 
    "CompAvg": 30.1355, 
    "BonusTargetPercentAvg": null, 
    "BonusTargetPercent50": 0.05000, 
    "LTIEligiblePercent": null, 
    "TotalCost25": 27.7685, 
    "TotalCost50": 30.7416, 
    "TotalCost75": 34.4994, 
    "LTIValue50": null, 
    "IncumNo": 1, 
    "UDFName": null 
  }, 
  { 
    "CompanyJobCode": "ACCTA2", 
    "CompanyJobTitle": "Accounting Clerk II", 
    "TierCode": "Boston", 
    "TierDesc": "Boston", 
    "CompositeEffectiveDate": "2024-01-01T00:00:00", 
    "CompositeAgingFct": 0.03000, 
    "CompositeAgingRules": "Age survey data to 01/01/2024 using aging factor 3.00% (Tier Level Override)", 
    "CompositeStatusCode": 2, 
    "CompositeStatusDesc": "Approved", 
    "CompositeTemplateName": "Standard", 
    "DifferentialNames": null, 
    "IsSalaried": false, 
    "IsBenchmarkJob": false, 
    "PremiumDiscount": 0.00000, 
    "LastUpdateDate": "2022-12-20T18:39:34.98", 
    "UName": "Robin Scheuerle", 
    "IsDraft": 0, 
    "CreateBy": "New Admin", 
    "CreateDate": "2021-10-12T07:07:33.567", 
    "CurrencyCode": "USD", 
    "CompositeMRP": 33.2702, 
    "CompositeMRPLabel": "Base 50th", 
    "IncumbentAveragePay": 32.4894, 
    "IncumbentAverageTCC": 42.9858, 
    "IncumbentAverageTDC": 42.9858, 
    "Salary10": 27.1228, 
    "Salary25": 30.0524, 
    "Salary50": 33.2702, 
    "Salary75": 37.3370, 
    "Salary90": 41.0396, 
    "SalaryAvg": 33.6858, 
    "Comp10": 27.4513, 
    "Comp25": 30.4867, 
    "Comp50": 33.8206, 
    "Comp75": 38.0734, 
    "Comp90": 41.9455, 
    "CompAvg": 34.2449, 
    "BonusTargetPercentAvg": null, 
    "BonusTargetPercent50": 0.05000, 
    "LTIEligiblePercent": null, 
    "TotalCost25": 31.5551, 
    "TotalCost50": 34.9336, 
    "TotalCost75": 39.2038, 
    "LTIValue50": null, 
    "IncumNo": 18, 
    "UDFName": null  
   }
]

© Copyright Salary.com 2026. All Rights Reserved.

Privacy Policy/California Privacy Rights | Legal | Accessibility | Terms of Use | Do Not Sell or Share My Information